<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="initializing$ | async; else initialized" class="w-full h-full flex items-center justify-center">
  <app-spinner></app-spinner>
</div>
<ng-template #initialized>
  <ng-container *ngIf="!(errorInitializing$ | async); else error">
    <ng-container *ngIf="broker$ | async as broker">
      <ng-container *ngIf="broker.online; else offline">
        <app-connect-node-card title="Data Broker is online" [showClose]="true">
          <div class="flex flex-col items-center">
            <div class="text-text-300 w-96">Following Data Broker is already connected to the platform:</div>
            <div class="mt-10">
              <app-data-broker-card [broker]="broker"></app-data-broker-card>
            </div>
          </div>
          <div class="mt-10 pb-20 flex flex-col gap-1">
            <p-button label="Continue to platform" routerLink="/marketplace/services" [style]="{ width: '200px' }"></p-button>
          </div>
        </app-connect-node-card>
      </ng-container>
      <ng-template #offline>
        <router-outlet></router-outlet>
      </ng-template>
    </ng-container>
  </ng-container>
  <ng-template #error>
    <app-connect-node-card title="Error initializing Data Broker" [showClose]="true">
      <div class="flex flex-col items-center gap-6">
        <div class="text-text-300">Data Broker running on address:</div>
        <div class="font-semibold w-96">{{ nodeAddress }}</div>
        <p-message severity="danger" text="Failed to initialize"></p-message>
        <div class="mt-10 flex flex-col gap-10">
          <div>See console for more information</div>
          <div>
            <app-divider></app-divider>
          </div>
          <p-button label="Try Again" [outlined]="true" size="small" (click)="onTryAgain()"></p-button>
        </div>
      </div>
    </app-connect-node-card>
  </ng-template>
</ng-template>
